Bug 1313863 - EAP7 One-Off Patch Deploy Failure
EAP7 One-Off Patch Deploy Failure
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7 (Show other bugs)
JON 3.3.5
Unspecified Unspecified
high Severity high
: DR02
: One-off release
Assigned To: Michael Burman
Mike Foley
: Triaged
Depends On:
Blocks: 1314853
  Show dependency treegraph
 
Reported: 2016-03-02 08:40 EST by Matt Mahoney
Modified: 2016-06-06 14:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-06 14:56:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
EAP7-OneOff-Patch (547 bytes, application/zip)
2016-03-02 08:40 EST, Matt Mahoney
no flags Details
Failure screen shot (55.96 KB, image/png)
2016-03-02 08:41 EST, Matt Mahoney
no flags Details
Server.log (94.47 KB, text/plain)
2016-03-02 08:42 EST, Matt Mahoney
no flags Details

  None (edit)
Description Matt Mahoney 2016-03-02 08:40:29 EST
Created attachment 1132323 [details]
EAP7-OneOff-Patch

Description of problem:
At the time of this test, there are no existing EAP7 patches with which to test the JON Patch feature. Thus, the test attempt was to hand create an EAP7 One-Off patch that in turn was used during testing.

Patch creation instructions used: https://mojo.redhat.com/docs/DOC-929163

Note: The above is not a validated patch creation process for EAP7 as far as I am aware, but used non-the less for attempting to test EAP7 patching.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Generate EAP7 One-Off patch, following Mojo doc DOC-929163 (note: tool.sh was used to generate the patch.
  Patch creation command: tool/tool.sh --applies-to-dist=jboss-eap-7.0 --updated-dist=jboss-eap-7.0 --patch-config=7.0.0.one-off-1/patch.xml --output-file=eap7-OneOff.zip
2. In JON, create a new Compatibility Group with a single EAP7 Standalone server
3. Upload the One-Off patch, then Deploy the patch to the Compatibility Group

Actual results:
One off patch deploy failure

Expected results:
No failures

Additional info:
Attached to this bug:
  - Patch used for testing
  - Deploy Failure message
  - Server.log
Comment 1 Matt Mahoney 2016-03-02 08:41 EST
Created attachment 1132324 [details]
Failure screen shot
Comment 2 Matt Mahoney 2016-03-02 08:42 EST
Created attachment 1132325 [details]
Server.log
Comment 3 Michael Burman 2016-03-24 03:51:32 EDT
https://github.com/rhq-project/rhq/pull/228
Comment 5 Michael Burman 2016-03-29 08:50:15 EDT
Merged to master:

commit a4caa5826e4d4297be2f0d9ff017f087d64fcb2f
Merge: 48607a4 db260b1
Author: Michael Burman <yak@iki.fi>
Date:   Tue Mar 29 15:48:12 2016 +0300

    Merge pull request #228 from burmanm/bz1313863
    
    [BZ 1313863] Add support for patching of EAP7 instances

commit db260b10b1918b73dc0de213f6cbd000fb4f1dac
Author: Michael Burman <miburman@redhat.com>
Date:   Wed Mar 23 11:13:32 2016 +0200

    [BZ 1313863] Add support for patching of EAP7 instances, clear some garbage

Note You need to log in before you can comment on or make changes to this bug.